# .tgt.kindnames.guppy

## Name

  ## guppy

## Synopsis

  Methods
    hpy( [`ht` = Any+]) -> Use
    Root() -> guppy_Root

## Methods

  hpy( [`ht` = Any+]) -> Use
    Create a new heapy object that may be used for accessing all of the heapy functionality. Methods and modules are imported by this object on demand when needed. Two commonly used methods are heap and iso.
    An example:

        >>> from guppy import hpy
        >>> hpy().heap() # Show current reachable heap
        Partition of a set of 28719 objects. Total size = 1984808 bytes.
         Index  Count   %     Size   % Cumulative  % Kind (class / dict of class)
             0  15368  54   935952  47    935952  47 str
        ...
             9    794   3    28584   1   1842168  93 __builtin__.wrapper_descriptor
        <101 more rows. Type e.g. '_.more' to view.>
        >>>

    To see more about how the heapy object may be used, follow the link on the return kind.
    Normally no arguments need to be given. The arguments that may be given are for special cases.
    Argument
      `ht` = Any+
        The hiding tag to use. It may be useful to specify this in some cases when using multiple heapy instances, when you want to see the data in some of the other instances.
        Default: will be set to the same unique object each
          time. In this way, different heapy instances will not see each other's data.
  Root() -> guppy_Root
    Create a new guppy Root object.

    All functionality in the system may be accessed from this object. Modules are imported on demand when accessed. Other objects may be created or imported on demand using Guppy Glue+ directives.

    As this is a general access point, the heapy functionality may be accessed from here as well as via the hpy() method. How it is done is beyond the scope of this documentation, and is to be regarded an implementation detail, but you can of course look at the source code for the hpy method.

    There is currently no arguments to this constructor, I may think of adding some options in the future, but it has not yet been needed.

Generated by GSL-HTML 0.1.5 on Sat Jul 4 13:25:11 2009